open-vm-tools 13.0.5

log.h File Reference
`#include <glib.h>`
`#include "vmware/tools/guestrpc.h"`
`#include "vm_basic_types.h"`
Include dependency graph for log.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | FUNC __FUNCTION__
#define | g_info(fmt, ...)
#define | VMTOOLS_LOGGING_LEVEL_DEFAULT "message"
#define | vm_critical(fmt, ...)
#define | vm_debug(fmt, ...)
#define | vm_error(fmt, ...)
#define | vm_info(fmt, ...)
#define | vm_message(fmt, ...)
#define | vm_warning(fmt, ...)
#define | VM_SAFE_STR(string)
#define | host_warning(fmt, ...)
#define | guest_warning(fmt, ...)
#define | host_message(fmt, ...)
#define | guest_message(fmt, ...)
#define | host_info(fmt, ...)
#define | guest_info(fmt, ...)
#define | host_debug(fmt, ...)
#define | guest_debug(fmt, ...)

## Enumerations
enum | LogWhere { TO_HOST , IN_GUEST }

## Functions
G_BEGIN_DECLS void | VMTools_ConfigLogToStdio (const gchar *domain)
void | VMTools_ConfigLogging (const gchar *defaultDomain, GKeyFile *cfg, gboolean force, gboolean reset)
void | VMTools_UseVmxGuestLog (const gchar *appName)
void | VMTools_SetupVmxGuestLog (gboolean refreshRpcChannel, GKeyFile *cfg, const gchar *level)
void | VMTools_TeardownVmxGuestLog (void)
void | VMTools_Log (LogWhere where, GLogLevelFlags level, const gchar *domain, const gchar *fmt,...)
void | VMTools_VmxLog (RpcChannel *chan, const gchar *fmt,...)
void | VMTools_VmxLogThrottled (uint32 *count, RpcChannel *chan, const gchar *fmt,...)

## Detailed Description

Some wrappers around glib log functions, expanding their functionality to support common usage patterns at VMware.